<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateJapanRegionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('japan_regions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('island_id');
            $table->foreign('island_id')->references('id')->on('japan_islands');
            $table->string('name', 255)->nullable();
            $table->string('nameAlt', 255)->nullable();
            $table->string('nameKana', 255)->nullable();
            $table->string('nameKanaAlt', 255)->nullable();
            $table->string('nameEng', 255)->nullable();
            $table->string('nameEngAlt', 255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('japan_regions');
    }
}
